Bug 1383488 (php-asm89-stack-cors) - Review Request: php-asm89-stack-cors - Cross-origin resource sharing library and stack middleware
Summary: Review Request: php-asm89-stack-cors - Cross-origin resource sharing library ...
Status: CLOSED ERRATA
Alias: php-asm89-stack-cors
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1383483
TreeView+ depends on / blocked
 
Reported: 2016-10-10 18:40 UTC by Shawn Iwinski
Modified: 2016-11-07 20:19 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-10-30 17:53:39 UTC
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (8.89 KB, text/plain)
2016-10-17 05:42 UTC, Remi Collet
no flags Details
review.txt (7.58 KB, text/plain)
2016-10-17 05:42 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2016-10-10 18:40:36 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/afeaa339a8338c80035a142408f5c1b1dce40574/php-asm89-stack-cors/php-asm89-stack-cors.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-asm89-stack-cors-1.0.0-1.fc24.src.rpm

Description:
Library and middleware enabling cross-origin resource sharing for your
http-{foundation,kernel} using application. It attempts to implement the
W3C Candidate Recommendation [1] for cross-origin resource sharing.

Autoloader: /usr/share/php/Asm89/Stack/autoload-cors.php

[1] http://www.w3.org/TR/cors/


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2016-10-17 05:42 UTC
Created attachment 1211229 [details]
phpci.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 15 2016 18:25:18 CEST static analyze results

Comment 2 Remi Collet 2016-10-17 05:42 UTC
Created attachment 1211230 [details]
review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1383488
Buildroot used: fedora-rawhide-x86_64

Comment 3 Remi Collet 2016-10-17 05:43:17 UTC
[~]: Requires correct, justified where necessary.
	missing php-spl (from the generated autoloader)
	not a blocker as always there


This package complies to the Packaging Guidelines.


=== APPROVED ===

Comment 4 Shawn Iwinski 2016-10-18 20:04:48 UTC
THANKS for the review!  I have finally gotten around to submitting the SCM request.

Comment 5 Gwyn Ciesla 2016-10-18 21:30:01 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-asm89-stack-cors

Comment 6 Fedora Update System 2016-10-21 16:50:03 UTC
php-asm89-stack-cors-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9c85030072

Comment 7 Fedora Update System 2016-10-22 02:24:52 UTC
php-asm89-stack-cors-1.0.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d0fc433219

Comment 8 Fedora Update System 2016-10-22 03:54:12 UTC
php-asm89-stack-cors-1.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-61f3ad0b09

Comment 9 Fedora Update System 2016-10-22 08:17:57 UTC
php-asm89-stack-cors-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e573c91218

Comment 10 Fedora Update System 2016-10-22 11:54:08 UTC
php-asm89-stack-cors-1.0.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9afdab14b7

Comment 11 Fedora Update System 2016-10-30 17:53:39 UTC
php-asm89-stack-cors-1.0.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-10-31 07:35:09 UTC
php-asm89-stack-cors-1.0.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-11-01 16:23:04 UTC
php-asm89-stack-cors-1.0.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-11-07 19:49:19 UTC
php-asm89-stack-cors-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-11-07 20:19:18 UTC
php-asm89-stack-cors-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.